aboutsummaryrefslogtreecommitdiff
path: root/twitch-stream.sh
diff options
context:
space:
mode:
authordec05eba <dec05eba@protonmail.com>2020-03-30 21:21:30 +0200
committerdec05eba <dec05eba@protonmail.com>2020-03-30 21:21:30 +0200
commit34a000d83625f1a12ab6eea69b89728d3409c2cc (patch)
tree1b252ca5683c8790c28946fed5534a66c0c8c91a /twitch-stream.sh
parenteff9ff10cc0251ba96e3ed6ae45abca9795186ed (diff)
output encoded video to stdout instead and add twitch stream script
Diffstat (limited to 'twitch-stream.sh')
-rwxr-xr-xtwitch-stream.sh4
1 files changed, 4 insertions, 0 deletions
diff --git a/twitch-stream.sh b/twitch-stream.sh
new file mode 100755
index 0000000..0be4d12
--- /dev/null
+++ b/twitch-stream.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+[ "$#" -ne 2 ] && echo "usage: twitch-stream.sh <window_id> <livestream_key>" && exit 1
+sibs build --release && ./sibs-build/linux_x86_64/release/hardware-screen-recorder "$1" "dummy.h264" | ffmpeg -i pipe:0 -c:v copy -f flv "rtmp://live.twitch.tv/app/$2"